# Record Class CAI1TypeScalar.Text

java.lang.Object
java.lang.Record
com.io7m.cardant.protocol.inventory.cb.CAI1TypeScalar.Text

Record Components:
  `fieldName` - The type name.
  `fieldDescription` - The type description.
  `fieldPattern` -

All Implemented Interfaces:
  `CAI1TypeScalar`, `com.io7m.cedarbridge.runtime.api.CBSerializableType`

Enclosing interface:
  `CAI1TypeScalar`

public static record CAI1TypeScalar.Text(CAI1TypeScalarIdentifier fieldName, com.io7m.cedarbridge.runtime.api.CBString fieldDescription, com.io7m.cedarbridge.runtime.api.CBString fieldPattern) extends Record implements com.io7m.cedarbridge.runtime.api.CBSerializableType, CAI1TypeScalar

- ## Nested Class Summary

  ### Nested classes/interfaces inherited from interface com.io7m.cardant.protocol.inventory.cb.CAI1TypeScalar

  `CAI1TypeScalar.Integral, CAI1TypeScalar.Monetary, CAI1TypeScalar.Real, CAI1TypeScalar.Text, CAI1TypeScalar.Time`

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Text(CAI1TypeScalarIdentifier fieldName, com.io7m.cedarbridge.runtime.api.CBString fieldDescription, com.io7m.cedarbridge.runtime.api.CBString fieldPattern)`
  Creates an instance of a `Text` record class.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static CAI1TypeScalar.Text`
  `deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context)`
  Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.Text.
  `final boolean`
  `equals(Object o)`
  Indicates whether some other object is "equal to" this one.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldDescription()`
  Returns the value of the `fieldDescription` record component.
  `CAI1TypeScalarIdentifier`
  `fieldName()`
  Returns the value of the `fieldName` record component.
  `com.io7m.cedarbridge.runtime.api.CBString`
  `fieldPattern()`
  Returns the value of the `fieldPattern` record component.
  `final int`
  `hashCode()`
  Returns a hash code value for this object.
  `static void`
  `serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1TypeScalar.Text $x)`
  Serialize a value of type com.io7m.cardant.protocol.inventory.cb.Text.
  `final String`
  `toString()`
  Returns a string representation of this record class.

  ### Methods inherited from class java.lang.Object

  `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### Text

    public Text(CAI1TypeScalarIdentifier fieldName, com.io7m.cedarbridge.runtime.api.CBString fieldDescription, com.io7m.cedarbridge.runtime.api.CBString fieldPattern)
    Creates an instance of a `Text` record class.
    Parameters:
      `fieldName` - the value for the `fieldName` record component
      `fieldDescription` - the value for the `fieldDescription` record component
      `fieldPattern` - the value for the `fieldPattern` record component

- ## Method Details

  - ### serialize

    public static void serialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context, CAI1TypeScalar.Text $x) throws IOException
    Serialize a value of type com.io7m.cardant.protocol.inventory.cb.Text.
    Parameters:
      `$context` - The serialization context.
      `$x` - The value to be serialized.
    Throws:
      `IOException`

  - ### deserialize

    public static CAI1TypeScalar.Text deserialize(com.io7m.cedarbridge.runtime.api.CBSerializationContextType $context) throws IOException
    Deserialize a value of type com.io7m.cardant.protocol.inventory.cb.Text.
    Parameters:
      `$context` - The serialization context.
    Returns:
      A value of type com.io7m.cardant.protocol.inventory.cb.Text.
    Throws:
      `IOException`

  - ### toString

    public final String toString()
    Returns a string representation of this record class. The representation contains the name of the class, followed by the name and value of each of the record components.
    Specified by:
      `toString` in class `Record`
    Returns:
      a string representation of this object

  - ### hashCode

    public final int hashCode()
    Returns a hash code value for this object. The value is derived from the hash code of each of the record components.
    Specified by:
      `hashCode` in class `Record`
    Returns:
      a hash code value for this object

  - ### equals

    public final boolean equals(Object o)
    Indicates whether some other object is "equal to" this one. The objects are equal if the other object is of the same class and if all the record components are equal. All components in this record class are compared with `Objects::equals(Object,Object)`.
    Specified by:
      `equals` in class `Record`
    Parameters:
      `o` - the object with which to compare
    Returns:
      `true` if this object is the same as the `o` argument; `false` otherwise.

  - ### fieldName

    public CAI1TypeScalarIdentifier fieldName()
    Returns the value of the `fieldName` record component.
    Returns:
      the value of the `fieldName` record component

  - ### fieldDescription

    public com.io7m.cedarbridge.runtime.api.CBString fieldDescription()
    Returns the value of the `fieldDescription` record component.
    Returns:
      the value of the `fieldDescription` record component

  - ### fieldPattern

    public com.io7m.cedarbridge.runtime.api.CBString fieldPattern()
    Returns the value of the `fieldPattern` record component.
    Returns:
      the value of the `fieldPattern` record component